import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="websucker", # Replace with your own username
    version="1.0.0",
    author="Daniel Hládek",
    author_email="dhladek@gmail.com",
    description="Web Crawler",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/hladek/websucker",
    packages=setuptools.find_packages(),
    # specified in MANIFEST
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Science/Research",
        "Topic :: Internet :: WWW/HTTP :: Indexing/Search"
    ],
    python_requires='>=3.6',
    entry_points={  # Optional
        'console_scripts': [
            'websuck=websucker.cli:cli',
        ],
    },
    install_requires=[
        "BeautifulSoup4",
        "justext",
        "python-dateutil",
        "click",
        "pycurl",
        "greenstalk",
        "lz4",
        "cassandra-driver",
    ],

)

